# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name brainfuck

%global common_summary Brainfuck interpreter

%global common_description This is an interpreter of the brainf*ck language,\
written in the pure, lazy, functional language Haskell.

Name:           %{pkg_name}
Version:        0.1
Release:        5%{?dist}
Summary:        %{common_summary}

# Language/Brainfuck.hs states version 2 or later
License:        GPLv2+
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         brainfuck-0.1-fix-fsf-address.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-unix-devel
# End cabal-rpm deps

%description
%{common_description}

%prep
%setup -q
%patch0 -p1

%build
%ghc_lib_build

%install
%ghc_lib_install

%ghc_package

%ghc_description

%ghc_devel_package

%ghc_devel_description

%ghc_devel_post_postun

%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/bf

%ghc_files LICENSE

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 18 2012 Jens Petersen <petersen@redhat.com> - 0.1-4
- update with cabal-rpm
- change license tag to GPLv2+ according to Brainfuck.hs

* Fri Sep 07 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.1-3
- Added patch to fix FSF address

* Tue Jun 05 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.1-2
- Updated license to GPLv2.

* Tue Jun 05 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.1-1
- Added BuildRequires.
- Spec file template generated by cabal2spec-0.25.5.
